## ubuntu-system-service 0.1.20.1

=== backend/Makefile ===

com.ubuntu.systemservice.policy: com.ubuntu.systemservice.policy.in
	intltool-merge -x ../po $< $@

## ubuntu-system-service 0.1.10

=== debian/changelog ===
ubuntu-system-service (0.1.10) intrepid; urgency=low

  * backend/system-service-d:
    - check against "org.gnome.gconf.defaults.set-system" as well

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Sep 2008 19:16:07 +0200

ubuntu-system-service (0.1.9) intrepid; urgency=low

  * backend/system-service-d:
    - call update-initramfs with its full path

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Sep 2008 11:47:53 +0200

ubuntu-system-service (0.1.8) intrepid; urgency=low

  * backend/system-service-d:
    - allow "_" in the kbd options

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Sep 2008 15:40:45 +0200

ubuntu-system-service (0.1.7) intrepid; urgency=low

  * backend/system-service-d:
    - add support for global keyboard settings via console-setup
  * debian/control:
    - move Vcs to lp:~ubuntu-core-dev/system-service/ubuntu

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Sep 2008 11:58:41 +0200

ubuntu-system-service (0.1.6) intrepid; urgency=low

  * debian/control:
    - add missing depends on policykit and python-dbus
  * add socks support
  * support no_proxy environment

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Aug 2008 14:18:18 +0200

ubuntu-system-service (0.1.5) intrepid; urgency=low

  * support https in "get_proxy()"
  * improve the verification for valid proxies
  * put the modules under UbuntuSystemService

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Aug 2008 11:30:43 +0200

ubuntu-system-service (0.1.4) intrepid; urgency=low

  * fix typo
  * add Vcs-Bzr header

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Aug 2008 22:17:00 +0200

ubuntu-system-service (0.1.3) intrepid; urgency=low

  * make the API more flexible
  * better exception handling
  * properly support ftp, https too

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Aug 2008 13:02:52 +0200

ubuntu-system-service (0.1.2) intrepid; urgency=low

  * initial upload to the archive

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Aug 2008 22:48:30 +0200

ubuntu-system-service (0.1.1) intrepid; urgency=low

  * fix FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Aug 2008 18:46:28 +0200

ubuntu-system-service (0.1) intrepid; urgency=low

  * initial release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Aug 2008 17:39:47 +0200

=== debian/control ===
Source: ubuntu-system-service
Section: admin
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: debhelper (>= 5.0.38),
	       cdbs,
	       python-distutils-extra,
               python-dev,
               python-central (>= 0.5.6),
               intltool
XS-Python-Version: current
Standards-Version: 3.8.0
Vcs-Bzr: http://code.launchpad.net/~ubuntu-system-service/system-service/ubuntu

Package: ubuntu-system-service
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-apt (>= 0.7.0),
	 python-dbus,
	 policykit
XB-Python-Version: ${python:Versions}
Description: Dbus service to set various system-wide configurations
 This package implements system wide proxy settings.

## ubuntu-system-service 0.1.11

=== debian/changelog ===
ubuntu-system-service (0.1.11) jaunty; urgency=low

  * backend/system-service-d:
    - add is_package_system_locked interface to check
      if a dpkg/apt process is currently in use (part of
      LP: #334935)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Mar 2009 15:10:31 +0100

## ubuntu-system-service 0.1.16

=== debian/changelog ===
ubuntu-system-service (0.1.16) karmic; urgency=low

  * po/POTFILES.in:
    - add missing policy file (LP: #362042)
      Thanks to Gabor Kelemen
  * po/system-service.pot:
    - add pot file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Oct 2009 12:37:16 +0200

ubuntu-system-service (0.1.15) karmic; urgency=low

  * ported to policykit-1
  * install backend/com.ubuntu.systemservice.policy.in to the
    new polkit-1 action location
  * updated tests

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Jul 2009 13:34:15 +0200

## ubuntu-system-service 0.1.20

=== debian/changelog ===
ubuntu-system-service (0.1.20) lucid; urgency=low

  * backend/system-service-d
    - add missing start-time (LP: #530430)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Mar 2010 14:14:50 +0100

## ubuntu-system-service 0.1.20.1

=== debian/changelog ===
ubuntu-system-service (0.1.20.1) lucid-proposed; urgency=low

  * backend/system-service-d:
    - check for download lock files as well when running
      "is_package_system_locked" (LP: #570583)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Apr 2010 10:47:35 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
          ${misc:Depends},
          python-apt (>= 0.7.0),
 	 python-dbus,
-	 policykit
+	 policykit-1
 XB-Python-Version: ${python:Versions}
 Description: Dbus service to set various system-wide configurations
  This package implements system wide proxy settings.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/langpack.mk

## ubuntu-system-service 0.1.21

=== debian/changelog ===
ubuntu-system-service (0.1.21) natty; urgency=low

  * debian/control: Fix Vcs-Bzr to point to actual branch.
  * backend/system-service-d: Fix D-Bus type of start-time argument to unbreak
    polkit query. This makes global proxy settings etc. work again.
  * debian/control: We don't need python-dev build dependency, just python.
  * debian/rules: Drop unnecessary and obsolete simple-patchsys.mk.
  * Convert to 3.0 (native) source format.
  * debian/control: Bump Standards-Version to 3.9.1.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 31 Jan 2011 09:48:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Michael Vogt <mvo@ubuntu.com>
 Build-Depends: debhelper (>= 5.0.38),
-	       cdbs,
-	       python-distutils-extra,
-               python-dev,
+               cdbs,
+               python-distutils-extra,
+               python,
                python-central (>= 0.5.6),
                intltool
 XS-Python-Version: current
-Standards-Version: 3.8.0
-Vcs-Bzr: http://code.launchpad.net/~ubuntu-system-service/system-service/ubuntu
+Standards-Version: 3.9.1
+Vcs-Bzr: lp:system-service
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-core-dev/system-service/ubuntu
 
 Package: ubuntu-system-service
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/langpack.mk

## ubuntu-system-service 0.1.26

=== debian/changelog ===
ubuntu-system-service (0.1.26) oneiric; urgency=low

  * backend/system-service-d:
    - do not return True for is_reboot_required if there are still
      package manager operations in progres
  * test/Makefile, .bzr-buildpackage/default.conf:
    - modernize and run during bzr-buildpackage

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 25 Jul 2011 18:35:38 +0200

ubuntu-system-service (0.1.25) oneiric; urgency=low

  * backend/system-service-d:
    - add is_reboot_required call
  * backend/com.ubuntu.SystemService.conf:
    - allow introspection on the interface

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Jul 2011 09:29:50 +0200

ubuntu-system-service (0.1.24) oneiric; urgency=low

  * check lock of unattended-upgrades in is_package_system_locked()

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Jul 2011 17:02:07 +0200

ubuntu-system-service (0.1.23) oneiric; urgency=low

  * debian/control: Don't use "current" for X-Python-Version, this doesn't
    exist any more. Use >= 2.7 instead to only build for the current version.
  * debian/control: Properly version the python build dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Jun 2011 10:36:24 +0200

ubuntu-system-service (0.1.22) oneiric; urgency=low

  * Convert from cdbs to dh7 and dh-translations.
  * Move from pycentral to dh_python2.
  * debian/control: Bump Standards-Version to 3.9.2.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jun 2011 08:50:43 +0200

## ubuntu-system-service 0.1.26.1

=== debian/changelog ===
ubuntu-system-service (0.1.26.1) oneiric-proposed; urgency=low

  [ Rodrigo Moya ]
  *  Fix saving of config options to /etc/apt/ (LP: #877254, #877088)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 Oct 2011 18:54:19 +0200

## ubuntu-system-service 0.2.2

=== debian/changelog ===
ubuntu-system-service (0.2.2) precise; urgency=low

  [ Rodrigo Moya ]
  * merged lp:~rodrigo-moya/system-service/fix-877088:
    - only write apt proxy to a single file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Jan 2012 09:59:59 +0100

ubuntu-system-service (0.2.1) precise; urgency=low

  [ Rodrigo Moya ]
  * merged lp:~rodrigo-moya/system-service/new-interfaces:
    - add org.freedesktop.hostname1 and org.freedesktop.locale1
      interfaces for systemd compatbility

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Nov 2011 11:48:38 +0100

ubuntu-system-service (0.2) precise; urgency=low

  [ Gabor Kelemen ]
  * Let p-d-u handle i18n of the .policy file. LP: #853354
  
  [ Michael Vogt ]
  * fixes for the new python-apt API
  * improve code layout, move backend into UbuntuSystemService.backend
  * improve tests

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 Oct 2011 19:00:54 +0200

## ubuntu-system-service 0.2.2.1

=== debian/changelog ===
ubuntu-system-service (0.2.2.1) precise-security; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - UbuntuSystemService/utils.py: pass system-bus-name as a subject
      instead of pid so policykit can get the information from the system
      bus.
    - CVE-2013-1062

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Sep 2013 08:20:01 -0400

## ubuntu-system-service 0.2.3

=== debian/changelog ===
ubuntu-system-service (0.2.3) quantal; urgency=low

  * Add missing files to POTFILES.in. LP: #1036840

 -- Gabor Kelemen <kelemeng@ubuntu.com>  Mon, 17 Sep 2012 11:38:58 +0100

## ubuntu-system-service 0.2.3.1

=== debian/changelog ===
ubuntu-system-service (0.2.3.1) quantal-security; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - UbuntuSystemService/utils.py: pass system-bus-name as a subject
      instead of pid so policykit can get the information from the system
      bus.
    - CVE-2013-1062

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Sep 2013 09:16:23 -0400

=== debian/control ===
Source: ubuntu-system-service
Section: admin
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-translations,
               python-distutils-extra,
               python (>= 2.6.6-3~),
               intltool
X-Python-Version: >= 2.7
Standards-Version: 3.9.2
Vcs-Bzr: lp:system-service
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-core-dev/system-service/ubuntu

Package: ubuntu-system-service
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-apt (>= 0.7.0),
	 python-dbus,
	 policykit-1
Description: Dbus service to set various system-wide configurations
 This package implements system wide proxy settings.

## ubuntu-system-service 0.2.4

=== debian/changelog ===
ubuntu-system-service (0.2.4) raring; urgency=low

  * Drop system compatibility, we use systemd-services instead (lp: #1153567)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 26 Mar 2013 21:32:36 +0100

## ubuntu-system-service 0.2.4.1

=== debian/changelog ===
ubuntu-system-service (0.2.4.1) raring-security; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - UbuntuSystemService/utils.py: pass system-bus-name as a subject
      instead of pid so policykit can get the information from the system
      bus.
    - CVE-2013-1062

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Sep 2013 08:14:43 -0400

## ubuntu-system-service 0.2.5

=== debian/changelog ===
ubuntu-system-service (0.2.5) saucy; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - UbuntuSystemService/utils.py: pass system-bus-name as a subject
      instead of pid so policykit can get the information from the system
      bus.
    - CVE-2013-1062

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Sep 2013 13:21:34 -0400

## ubuntu-system-service 0.2.5build1

=== debian/changelog ===
ubuntu-system-service (0.2.5build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:54:35 +0000

=== debian/control ===
--- 
+++ 
@@ -19,5 +19,7 @@
          python-apt (>= 0.7.0),
 	 python-dbus,
 	 policykit-1
+Breaks: gnome-settings-daemon (<< 3.6.4-0ubuntu8),
+        indicator-datetime (<< 12.10.3daily13.03.07)
 Description: Dbus service to set various system-wide configurations
  This package implements system wide proxy settings.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with translations,python2

## ubuntu-system-service 0.3

=== debian/changelog ===
ubuntu-system-service (0.3) xenial; urgency=medium

  [ Didier Roche ]
  * bump upstream version to 0.3
  * port tests and binaries to python3 (LP: #1440388)
  * Keep some python2 build-deps to get the package built.
  * Bump Standards-Version to latest

  [ Martin Pitt ]
  * debian/rules: Only build/install for the default python3, not for all
    supported versions. This is only a private module, the interface is D-Bus.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Nov 2015 18:31:46 -0600

=== debian/control ===
Source: ubuntu-system-service
Section: admin
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-translations,
               python3-distutils-extra,
               python3,
               python-distutils-extra,
               python,
               intltool
X-Python3-Version: >= 3.3
Standards-Version: 3.9.6
Vcs-Bzr: lp:system-service
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-core-dev/system-service/ubuntu

Package: ubuntu-system-service
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-apt,
         python3-dbus,
         python3-gi,
         policykit-1,
Breaks: gnome-settings-daemon (<< 3.6.4-0ubuntu8),
        indicator-datetime (<< 12.10.3daily13.03.07)
Description: Dbus service to set various system-wide configurations
 This package implements system wide proxy settings.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with translations,python3 --buildsystem python_distutils

override_dh_auto_build:
	dh_auto_build
	python3 setup.py build

override_dh_auto_install:
	dh_auto_install
	python3 setup.py install --root=$(CURDIR)/debian/ubuntu-system-service --install-layout=deb
	rm -rf debian/ubuntu-system-service/usr/lib/python2*

## ubuntu-system-service 0.3.1

=== debian/changelog ===
ubuntu-system-service (0.3.1) bionic; urgency=medium

  * Build-depend on dh-python.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Apr 2018 13:50:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Michael Vogt <mvo@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
                dh-translations,
+               dh-python,
                python3-distutils-extra,
                python3,
                python-distutils-extra,

## ubuntu-system-service 0.4

=== debian/changelog ===
ubuntu-system-service (0.4) cosmic; urgency=medium

  [ David Hewitt ]
  * Use _clear_etc_environment_no_proxy instead of _clear_no_proxy
    (LP: #1740596).

  [ Simon Quigley ]
  * Bump Standards-version to 4.2.0, no changes needed.
  * Run wrap-and-sort.
  * Modernize the packaging and make it Lintian clean.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 17 Aug 2018 00:03:58 -0500

=== debian/control ===
Source: ubuntu-system-service
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Michael Vogt <mvo@ubuntu.com>
Build-Depends: debhelper (>= 11),
               dh-python,
               dh-translations,
               intltool,
               python,
               python-distutils-extra,
               python3,
               python3-distutils-extra
Standards-Version: 4.2.0
Vcs-Bzr: lp:system-service
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-core-dev/system-service/ubuntu

Package: ubuntu-system-service
Architecture: all
Depends: policykit-1,
         python3-apt,
         python3-dbus,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends}
Breaks: gnome-settings-daemon (<< 3.6.4-0ubuntu8),
        indicator-datetime (<< 12.10.3daily13.03.07)
Description: Dbus service to set various system-wide configurations
 This package implements system wide proxy settings.

## ubuntu-system-service 0.7

=== test/Makefile ===
#!/usr/bin/make

all: check

check:
	set -e; \
	find . -name 'test_*' | \
	while read file; do \
		if [ -x $$file ]; then \
		echo "Testing $$file"; \
		PYTHONPATH=.. python $$file ; \
		fi \
	done

=== debian/changelog ===
ubuntu-system-service (0.7) focal; urgency=medium

  * But keep the build-dependency on python3-distutils-extra, used by
    setup.py.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Nov 2019 13:20:29 -0800

ubuntu-system-service (0.6) focal; urgency=medium

  * Switch from distutils to pybuild.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Nov 2019 10:31:01 -0800

ubuntu-system-service (0.5) focal; urgency=medium

  * Drop obsolete references to python2 in build-depends.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Nov 2019 10:05:00 -0800

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,6 @@
                dh-python,
                dh-translations,
                intltool,
-               python,
-               python-distutils-extra,
                python3,
                python3-distutils-extra
 Standards-Version: 4.2.0

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with translations,python3 --buildsystem pybuild

override_dh_auto_build:
	dh_auto_build
	python3 setup.py build

override_dh_auto_install:
	dh_auto_install
	python3 setup.py install --root=$(CURDIR)/debian/ubuntu-system-service --install-layout=deb
